# Get dynamic configuration options

Canonical: https://docs.shumoku.dev/ja/server/next/api/getDatasourcesByIdConfigOptionsByKey
Language: ja
Server documentation version: next
Product version: 0.1.6-beta.4
Channel: development

このドキュメントは開発中のServerを対象としています。

Shumoku Server API · 0.1.6-beta.4 · Data Sources

# Get dynamic configuration options

[OpenAPIソース](https://github.com/konoe-akitoshi/shumoku/blob/73ebc72ba0bc0d1caf74e1ed34c89a6debcb0e6a/apps/server/api/openapi.json)

APIの説明は英語のOpenAPI canonical sourceを表示しています。

```
GET /api/datasources/{id}/config-options/{key}
```

## 認証

sessionCookie / bearerAuth

## レスポンス

| ステータス | 説明 | スキーマ |
| --- | --- | --- |
| `200` | Available values for the requested plugin schema field | `ConfigOptionsResult` |
| `401` | Authentication is required | `Error` |
| `404` | The data source does not exist | `Error` |

[`apps/server/api/openapi.json`](https://github.com/konoe-akitoshi/shumoku/blob/73ebc72ba0bc0d1caf74e1ed34c89a6debcb0e6a/apps/server/api/openapi.json)
